package com.trade.service.thirdparty.xiaotu.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "app.xiaotu")
public class XiaotuConfiguration {
    private String gatewayAppKey = "CAYK";
    private String ftype = "fa";
    private String accessClientId = "dditSaas";
    // 获取令牌的url
    private String getAccessTokenUrl;

    public String getGatewayAppKey() {
        return gatewayAppKey;
    }

    public void setGatewayAppKey(String gatewayAppKey) {
        this.gatewayAppKey = gatewayAppKey;
    }

    public String getFtype() {
        return ftype;
    }

    public void setFtype(String ftype) {
        this.ftype = ftype;
    }

    public String getAccessClientId() {
        return accessClientId;
    }

    public void setAccessClientId(String accessClientId) {
        this.accessClientId = accessClientId;
    }

    public String getGetAccessTokenUrl() {
        return getAccessTokenUrl;
    }

    public void setGetAccessTokenUrl(String getAccessTokenUrl) {
        this.getAccessTokenUrl = getAccessTokenUrl;
    }
}
